Bug 693547 - RFE: Separate libgnome-desktop-2 package
Summary: RFE: Separate libgnome-desktop-2 package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2011-04-04 22:28 UTC by Christoph Wickert
Modified: 2016-02-10 14:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 693545
Environment:
Last Closed: 2016-01-26 09:31:08 UTC
Type: ---


Attachments (Terms of Use)
patch for gnome-desktop.spec (2.45 KB, patch)
2011-04-11 09:48 UTC, Christoph Wickert
no flags Details | Diff

Description Christoph Wickert 2011-04-04 22:28:41 UTC
+++ This bug was initially created as a clone of Bug #693545 +++

Description of problem:
gnome-desktop has quite a lot of big dependencies such as desktop-backgrounds-gnome. This adds a lot of overhead for packages that just require libgnome-desktop-3. A split could also make the large data part of the package noarch. No changes to comps are required because gnome-desktop3 would require both gnome-desktop3-libs and -data.

Version-Release number of selected component (if applicable):
gnome-desktop-2.32.2-7.fc15

Comment 1 Christopher Aillon 2011-04-11 03:24:20 UTC
I think the actual goal is to kill this package altogether.  I understand why this might be a good idea for gnome-desktop3, but is this really needed for gnome-desktop(2)?  Only a handful of things still need this AFAICT.

Comment 2 Christoph Wickert 2011-04-11 09:47:17 UTC
Indeed, it is no longer pulled in on the spins. Removing blocker on 678916.

If we continue with this package I still think splitting makes sense because of the large noarch content. I will attach a patch for the spec to show what I have in mind.

Comment 3 Christoph Wickert 2011-04-11 09:48:24 UTC
Created attachment 491184 [details]
patch for gnome-desktop.spec

Comment 4 Fedora End Of Life 2012-08-07 18:18:56 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Christoph Wickert 2012-10-06 22:54:53 UTC
Reopening, this time against rawhide so it doesn't get closed again.

Comment 6 Jan Kurik 2015-12-22 11:33:23 UTC
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.


Note You need to log in before you can comment on or make changes to this bug.